#ifndef _hints

#define _hints


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes


typedef struct Hints{

	unsigned long flags;

	unsigned long functions;

	unsigned long decorations;

	long inputMode;

	unsigned long status;


} Hints;

Hints Hints_new(  );

Hints * Hints_newPointer(  );

#endif


typedef struct Hints Hints;



